<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_v"></a>- v -</h3><ul>
<li>validateBandLevelMap()
: <a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a28f660b0e5e06bad287ad16eaad076b3">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a>
</li>
<li>validateConfiguration()
: <a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a41582e94f6e33233366428e648a2ab55">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a>
</li>
<li>validateMimeParsing()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_attachment_part.html#ad2fc7a01b560c08aaab12f608484a3f0">alexaClientSDK::avsCommon::utils::TestMimeAttachmentPart</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_json_part.html#a1e4b6ded25df518ff289cc73292ee50b">alexaClientSDK::avsCommon::utils::TestMimeJsonPart</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_part.html#a89a1c9f06ba7d78a43abbf60b4b14f5a">alexaClientSDK::avsCommon::utils::TestMimePart</a>
</li>
<li>value()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html#ac9ae7a2c110f82a57140c50f0e5fb8d1">alexaClientSDK::avsCommon::utils::error::Result&lt; TStatus, TValue &gt;</a>
, <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_observer_interface_1_1_tag_key_value_type.html#a92f9015d0446acd11fc3762ca89286ad">alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerObserverInterface::TagKeyValueType</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_optional.html#a82ee0dd0cc6bbc84e79e4df2678cd986">alexaClientSDK::avsCommon::utils::Optional&lt; ValueT &gt;</a>
</li>
<li>value1
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a8a61f0ee5ed4eb4d31db45edc54f8e62">alexaClientSDK::avsCommon::test::MIMEParserTest</a>
</li>
<li>value2
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a57ca7aad2ecac42322df6c6657f4183e">alexaClientSDK::avsCommon::test::MIMEParserTest</a>
</li>
<li>value3
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a2e3343e5260a8a0f027a4c9a53ea741f">alexaClientSDK::avsCommon::test::MIMEParserTest</a>
</li>
<li>value4
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#ae64d1dfd77c73e02d9d86c2ec755bf13">alexaClientSDK::avsCommon::test::MIMEParserTest</a>
</li>
<li>value5
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a4511e85726f58806f2ca9ac4fc7475a4">alexaClientSDK::avsCommon::test::MIMEParserTest</a>
</li>
<li>valueOr()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_optional.html#adbb776521972f5893ef8f10edb8c1d57">alexaClientSDK::avsCommon::utils::Optional&lt; ValueT &gt;</a>
</li>
<li>ValueType
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#ab18544389e7b78a72b7a073d52410990">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting.html#a61935305c6fe45ec6b9f7ec29a2a8842">alexaClientSDK::settings::Setting&lt; ValueT &gt;</a>
, <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_callback_adapter.html#af1f749648159b8f8a5427ad969d95ba3">alexaClientSDK::settings::SettingCallbackAdapter&lt; ManagerT, id &gt;</a>
, <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_callbacks.html#a5557f38900f9a313e6236fcee3c8d41b">alexaClientSDK::settings::SettingCallbacks&lt; ManagerT &gt;</a>
, <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html#ad7cd5426acdf5103db1e03dfd4a51ab3">alexaClientSDK::settings::SettingInterface&lt; ValueT &gt;</a>
, <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html#ab871967b51878049f2257dcabd0ff4c6">alexaClientSDK::settings::SettingsManager&lt; SettingsT &gt;</a>
</li>
<li>variantURLs
: <a class="el" href="structalexa_client_s_d_k_1_1playlist_parser_1_1_m3_u_content.html#a6a1e48fc13a9e4384c7c3ce7ce761f3d">alexaClientSDK::playlistParser::M3UContent</a>
</li>
<li>VectorOfTags
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_observer_interface.html#aaa78c5d6cb74fc05e7abbe8201fd02ad">alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerObserverInterface</a>
</li>
<li>verify()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_e_s_p_data.html#ac17e050d67d84b4ca72f2a67106ade7d">alexaClientSDK::capabilityAgents::aip::ESPData</a>
</li>
<li>verifyButtonPressed()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test_1_1_playback_controller_test.html#ac44edb98e83fef8c98c4e97123e75d21">alexaClientSDK::capabilityAgents::playbackController::test::PlaybackControllerTest</a>
</li>
<li>verifyEspMessage()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test_1_1_recognize_event.html#a95df9a93b6374c67e5865ecff5d51217">alexaClientSDK::capabilityAgents::aip::test::RecognizeEvent</a>
</li>
<li>verifyExpectSpeechTimedOut()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test_1_1_audio_input_processor_test.html#a1dd4bbc9d6e3e4913171b4e07f3ea0a9">alexaClientSDK::capabilityAgents::aip::test::AudioInputProcessorTest</a>
</li>
<li>verifyJsonState()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test_1_1_recognize_event.html#afbb19ff49f3f6702f96d29c03ebea552">alexaClientSDK::capabilityAgents::aip::test::RecognizeEvent</a>
</li>
<li>verifyMessage()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_exception_encountered_event.html#a16d168c0b8e7c7d8067b8507dcb5b903">alexaClientSDK::avsCommon::test::ExceptionEncounteredEvent</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test_1_1_recognize_event.html#afd48000bbc564bfbbd4ca782b66265f5">alexaClientSDK::capabilityAgents::aip::test::RecognizeEvent</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test_1_1_audio_player_test.html#ab5e4cdae2f98d762ca3dd15a37ea26fa">alexaClientSDK::capabilityAgents::audioPlayer::test::AudioPlayerTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_verify_test.html#a783565b7442efe3d7df1f871a27475e7">alexaClientSDK::capabilityAgents::settings::test::SettingsVerifyTest</a>
</li>
<li>verifyMessageMap()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test_1_1_audio_player_test.html#a2ca8d1b7ad5c24ea4633d39ccbccaa63">alexaClientSDK::capabilityAgents::audioPlayer::test::AudioPlayerTest</a>
</li>
<li>verifyMetadata()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test_1_1_recognize_event.html#a1d3e86d6c3f02fc403fe9492d46bb945">alexaClientSDK::capabilityAgents::aip::test::RecognizeEvent</a>
</li>
<li>verifyState()
: <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_audio_activity_tracker_test.html#a96f28c1af34c539a50ef74f3acf71700">alexaClientSDK::afml::test::AudioActivityTrackerTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test.html#a964086d62c8364db0b0de82e306a0acd">alexaClientSDK::afml::test::VisualActivityTrackerTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test_1_1_audio_player_test.html#ab7019fcb30bf3f3d9f71580f8e8d2277">alexaClientSDK::capabilityAgents::audioPlayer::test::AudioPlayerTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_external_media_player_test.html#ab19d136e6708f06a869d4d87ccae810d">alexaClientSDK::capabilityAgents::externalMediaPlayer::test::ExternalMediaPlayerTest</a>
</li>
<li>verifyTags()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test_1_1_audio_player_test.html#a570e137be4b9c589fd1831b6ced5661d">alexaClientSDK::capabilityAgents::audioPlayer::test::AudioPlayerTest</a>
</li>
<li>verifyTimestamps()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test_1_1_timer_test.html#a8947bd42cb4bf8da16ff07842c1fdd56">alexaClientSDK::avsCommon::utils::timing::test::TimerTest</a>
</li>
<li>verifyTogglePressed()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test_1_1_playback_controller_test.html#a89cf9cae7e2496af84241d7933135e44">alexaClientSDK::capabilityAgents::playbackController::test::PlaybackControllerTest</a>
</li>
<li>version
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_buffer_layout_1_1_header.html#a44fb9faf3164e56e032e0fc14f7fda4e">alexaClientSDK::avsCommon::utils::sds::SharedDataStream&lt; T &gt;::BufferLayout&lt; T &gt;::Header</a>
</li>
<li>VERSION
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_buffer_layout.html#afe166acf7e4e5d1336e55dc45a394497">alexaClientSDK::avsCommon::utils::sds::SharedDataStream&lt; T &gt;::BufferLayout&lt; T &gt;</a>
</li>
<li>VISUAL
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_1_1_medium.html#a62a8eb926fee107af24e964130f45299a9f1d1bf05cae38678e853e2351391878">alexaClientSDK::avsCommon::avs::BlockingPolicy::Medium</a>
</li>
<li>VISUAL_CHANNEL_NAME
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_focus_manager_interface.html#a3a09118eba4f058027dcd43245ec6df0">alexaClientSDK::avsCommon::sdkInterfaces::FocusManagerInterface</a>
</li>
<li>VISUAL_CHANNEL_PRIORITY
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_focus_manager_interface.html#a6356456affc0965f1db94f04030ecf4b">alexaClientSDK::avsCommon::sdkInterfaces::FocusManagerInterface</a>
</li>
<li>VisualActivityTrackerTest()
: <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test.html#a6b17333054176ea65d74ce27c0c54305">alexaClientSDK::afml::test::VisualActivityTrackerTest</a>
</li>
<li>volume
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html#a6ff3208dbcbf4c623342e5b03ea4ddcc">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerInterface::SpeakerSettings</a>
</li>
<li>volumeControl()
: <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a6596221b483d15273ad68dd3864a73f1">alexaClientSDK::sampleApp::InteractionManager</a>
</li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
